sentry-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hadoop QA (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (SENTRY-1015) Improve Sentry + Hive error message when user does not have sufficient privileges to perform an operation
Date Thu, 21 Jan 2016 01:56:39 GMT

    [ https://issues.apache.org/jira/browse/SENTRY-1015?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15109892#comment-15109892
] 

Hadoop QA commented on SENTRY-1015:
-----------------------------------

Here are the results of testing the latest attachment
https://issues.apache.org/jira/secure/attachment/12783475/SENTRY-1015.0.patch against master.

{color:green}Overall:{color} +1 all checks pass

{color:green}SUCCESS:{color} all tests passed

Console output: https://builds.apache.org/job/PreCommit-SENTRY-Build/1091/console

This message is automatically generated.

> Improve Sentry + Hive error message when user does not have sufficient privileges to
perform an operation
> ---------------------------------------------------------------------------------------------------------
>
>                 Key: SENTRY-1015
>                 URL: https://issues.apache.org/jira/browse/SENTRY-1015
>             Project: Sentry
>          Issue Type: Improvement
>            Reporter: Hao Hao
>            Assignee: Hao Hao
>         Attachments: SENTRY-1015.0.patch
>
>
> Sentry + Hive error message now is 
> {noformat}
> FAILED: SemanticException No valid privileges
>  User user2_1 does not have privileges for ALTERTABLE_PROPERTIES
> {noformat}
> Should add the required privileges in the exception message.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message